/** This is an example Apemanfile to use apeman-middleware-sse */

'use strict'

const co = require('co')
const asleep = require('asleep')

module.exports = {
  $pkg: { /* ... */ },
  $api: {
    /* ... */
    $serverMiddlewares: [
      require('apeman-middleware-sse')('/sse/bomb', (client) => co(function * () {
        let count = 10
        while (count >= 0) {
          client.send('tick', JSON.stringify(count))
          yield asleep(100)
          count--
        }
        client.send('boom!')
      }))
    ]
  }
}
